Subject: bug#42218: 28.0.50; Fix for missed item undecoration on allout-widgets-mode deactivation

From: Ken Manheimer <[email-masked]>
Date: Mon, 20 Jul 2020 14:58:01 -0400

On Mon, Jul 20, 2020 at 2:38 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Ken Manheimer <[email-masked]>
> > Date: Mon, 20 Jul 2020 13:56:27 -0400
> > Cc: [email-masked]
> >
> > To make sure I'm doing the right thing, I plan to merge the local
> branches where I have my various fixes
> > (after rebasing them on current master) to my local clone of master, and
> then push it all back to Savannah. I
> > will also merge to the emacs-27 branch and push that, and close the
> related bug reports. Is this correct?
>
> The emacs-27 branch should only get documentation fixes and very safe
> bugfixes for serious bugs.  Other than that, please don't push
> anything there; when in doubt, please ask.
>

I'm sorry I didn't wait for your reply, I already pushed to the emacs-27
branch (as well as master). I will avoid committing to a release branch in
the future.

It would be useful to add something like what you said in the "Backporting
to the release branch" section of admin/notes/git-workflow.

> > One other question. I have a few more allout-widgets.el patches that are
> development-related, and as such
> > don't solve any bugs. I would like to push them out, as well. Is it
> preferred that I associate them with a bug
> > report, or is it sufficient for me to just be clear in the commit
> messages, without any bug report?
>
> A bug report is always preferable (and then please mention its number
> in the commit log), as it leaves an easily identifiable trace.
>

Ok, will do.

Thanks!
Ken

Thanks.